> ## Documentation Index
> Fetch the complete documentation index at: https://docs.kibocommerce.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Pick Wave

> Retrieve pick wave details by its ID number.



## OpenAPI

````yaml /openapi/openapi_fulfillment.json get /commerce/pickwaves/{pickWaveNumber}
openapi: 3.0.3
info:
  description: |-
    <div id="overview_FULFILLMENT">
                <h2>FULFILLMENT</h2>
                <p>The Fulfillment APIs support order management and fulfillment workflows based on the Shipment API and its
                    packages, including supporting needs such as pick waves and manifests. Once an order has been placed, it
                    generally
                    cannot be edited at the order-level. Instead, changes to the items, pricing, and other information must
                    be done at the
                    shipment level with the Shipment API. See the <a href="/concept-guides/fulfillment">Fulfillment user guides</a> for more information about fulfillment in UCP.</p>
                <p>When using the Shipment API to transition a shipment through each stage of its fulfillment process, it
                    can be
                    difficult to remember how to format the next step's endpoint and the expected parameters on-the-fly.
                    Additionally,
                    if a call such as cancellation, adding tracking information, or marking the shipment as fulfilled needs
                    to be performed
                    outside of the usual fulfillment flow, it may be confusing to determine how to perform the action
                    without referring to the
                    documentation. To assist with this, the Shipment API provides guidelines within the response body. This
                    response
                    includes two objects, workflowState and _links, that detail the shipment's next step in the workflow as
                    well as all
                    possible actions currently available to the shipment. Use 
                    <a href="/pages/fulfillment-api-overview">this walkthrough</a> to better 
                    understand how to work with this response data.</p>
                    <p>Use the <strong>Customer Survey</strong> resource to create surveys and gather data from your customers.</p>
                    <p>Use the <strong>Manifests</strong> resource to create shipping manifests for fulfillment partners such as Canada Post that require manifests for groups of shipments.</p>
                    <p>Use the <strong>Pick Wave</strong> resource to generate and process pick waves for picking groups of items at a fulfillment locations.</p>
                    <p>Use the <strong>Shipment</strong>, <strong>Shipment Attributes</strong>, <strong>Shipment Data</strong>, and <strong>Shipment Notification</strong> resources to manage the actual shipments being fulfilled and perform actions on them.</p>
                    <p>Use the <strong>Shipment Packages</strong> resource to create, update, and delete the individual packages within a shipment.</p>
                    <p>Use the <strong>Storefront</strong> resource to retrieve shipment information for the storefront.</p>
                    <p>Use the <strong>Workflow Process</strong> resource to retrieve BPM configurations and the fulfillment steps based on shipment type.</p>
            </div>
  title: Fulfillment  - Production Profile
  version: 0.0.1
servers:
  - description: Kibo Base URL
    url: '{baseUrl}/api'
    variables:
      baseUrl:
        default: https://t1000000.sb.usc1.gcp.kibocommerce.com
        description: Base URL
security:
  - bearerAuth: []
tags:
  - name: CustomerSurvey
  - name: Fulfillment
  - name: FutureShipment
  - name: GiftReceipt
  - name: Manifest
  - name: PickWave
  - name: Rendition
  - name: ShipmentAttributes
  - name: ShipmentContact
  - name: Shipment
  - name: ShipmentData
  - name: ShipmentNotes
  - name: ShipmentPackages
  - name: ShipmentResendEmail
  - name: ShippingNotification
  - name: Storefront
  - name: Substitutions
  - name: WorkflowProcess
paths:
  /commerce/pickwaves/{pickWaveNumber}:
    get:
      tags:
        - PickWave
      summary: Get Pick Wave
      description: Retrieve pick wave details by its ID number.
      parameters:
        - description: pickWaveNumber
          in: path
          name: pickWaveNumber
          required: true
          schema:
            format: int32
            type: integer
        - in: query
          name: sortContents
          schema:
            type: string
      responses:
        '200':
          content:
            application/hal+json:
              schema:
                $ref: '#/components/schemas/EntityModelOfPickWave'
            application/json:
              schema:
                $ref: '#/components/schemas/EntityModelOfPickWave'
            application/xml:
              schema:
                $ref: '#/components/schemas/EntityModelOfPickWave'
          description: OK
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not Found
components:
  schemas:
    EntityModelOfPickWave:
      properties:
        _links:
          $ref: '#/components/schemas/Links'
        attributes:
          additionalProperties:
            type: object
          type: object
        auditInfo:
          $ref: '#/components/schemas/AuditInfo0'
        changeMessages:
          items:
            $ref: '#/components/schemas/FulfillmentChangeMessage'
          type: array
        contents:
          items:
            $ref: '#/components/schemas/PickWaveContent'
          type: array
        fulfillmentLocationCode:
          type: string
        maxShipments:
          format: int32
          type: integer
        parentPickWaveNumber:
          format: int32
          type: integer
        pickType:
          enum:
            - NORMAL
            - SINGLE
            - MULTIPLE
          type: string
        pickWaveId:
          type: string
        pickWaveNumber:
          format: int32
          type: integer
        pickWaveStatus:
          enum:
            - ERROR
            - PENDING
            - IN_PROGRESS
            - CLOSED
            - PENDING_RECOVERY
          type: string
        recoveryPickWaveNumber:
          format: int32
          type: integer
        shipmentNumbers:
          items:
            format: int32
            type: integer
          type: array
        shipmentType:
          type: string
        tenantId:
          format: int32
          type: integer
        userDisplayName:
          type: string
        userId:
          type: string
      title: EntityModelOfPickWave
      type: object
    Links:
      properties:
        empty:
          type: boolean
      title: Links
      type: object
    AuditInfo0:
      properties:
        createBy:
          type: string
        createDate:
          format: date-time
          type: string
        updateBy:
          type: string
        updateDate:
          format: date-time
          type: string
      title: AuditInfo0
      type: object
    FulfillmentChangeMessage:
      properties:
        amount:
          format: bigdecimal
          type: number
        appId:
          type: string
        appKey:
          type: string
        appName:
          type: string
        appeasementReason:
          $ref: '#/components/schemas/FulfillmentAppeasementReason'
        attributes:
          additionalProperties:
            type: object
          type: object
        changeMessageId:
          type: string
        correlationId:
          type: string
        createdDate:
          format: date-time
          type: string
        identifier:
          type: string
        message:
          type: string
        metadata:
          type: string
        newValue:
          type: string
        oldValue:
          type: string
        subject:
          type: string
        subjectType:
          type: string
        success:
          type: boolean
        userDisplayName:
          type: string
        userFirstName:
          type: string
        userId:
          type: string
        userLastName:
          type: string
        verb:
          type: string
      title: ChangeMessage
      type: object
    PickWaveContent:
      properties:
        actualQuantity:
          format: int32
          type: integer
        attributes:
          additionalProperties:
            type: object
          type: object
        auditInfo:
          $ref: '#/components/schemas/AuditInfo0'
        binId:
          format: int32
          type: integer
        binName:
          type: string
        contentId:
          type: string
        externalOrderId:
          type: string
        imageUrl:
          type: string
        itemLineId:
          format: int32
          type: integer
        locatorName:
          type: string
        name:
          type: string
        optionAttributeFQN:
          type: string
        options:
          items:
            $ref: '#/components/schemas/FulfillmentProductOption'
          type: array
        orderNumber:
          format: int32
          type: integer
        partNumber:
          type: string
        productCode:
          type: string
        quantity:
          format: int32
          type: integer
        shipmentNumber:
          format: int32
          type: integer
        sku:
          type: string
        status:
          enum:
            - IN_PROGRESS
            - PICKED
            - REMOVED
          type: string
        upc:
          type: string
        variationProductCode:
          type: string
      title: PickWaveContent
      type: object
    FulfillmentAppeasementReason:
      properties:
        moreInfo:
          type: string
        reasonCode:
          type: string
      title: AppeasementReason
      type: object
    FulfillmentProductOption:
      properties:
        attributeFQN:
          type: string
        attributes:
          additionalProperties:
            type: object
          type: object
        dataType:
          type: string
        name:
          type: string
        shopperEnteredValue:
          type: object
        stringValue:
          type: string
        value:
          type: object
      title: ProductOption
      type: object
  securitySchemes:
    bearerAuth:
      bearerFormat: JWT
      description: JWT Authorization header using the Bearer scheme.
      scheme: bearer
      type: http

````